<?php

declare(strict_types=1);

namespace FiloBlu\Refilo\Model;

use Magento\Framework\Pricing\PriceCurrencyInterface;

/**
 *
 */
class DefaultRoundStrategy implements RoundingStrategyInterface
{

    /**
     * @var \Magento\Framework\Pricing\PriceCurrencyInterface
     */
    private $defaultPriceCurrency;

    /**
     * @param \Magento\Framework\Pricing\PriceCurrencyInterface $defaultPriceCurrency
     */
    public function __construct(PriceCurrencyInterface $defaultPriceCurrency)
    {
        $this->defaultPriceCurrency = $defaultPriceCurrency;
    }

    /**
     * @param  float $value
     * @param int $decimals
     * @return float
     */
    public function round($value, $decimals)
    {
        return $this->defaultPriceCurrency->round($value);
    }
}